#!/bin/bash
source SVN2GitLab.cfg
echo @@@SVN_HOST:$SVN_HOST@@@
echo @@@SVN_USER:$SVN_USER@@@
echo @@@SVN_PWD:$SVN_PWD@@@

if [ -e tmp.txt ]; then
    rm -f tmp.txt
fi

if [ -e users.txt ]; then
    rm -f users.txt
fi
# Generate Userlist
svn log --username ${SVN_USER} --password ${SVN_PWD} --xml ${SVN_HOST} | grep author | sort -u | perl -pe 's/.*>(.*?)<.*/$1 = /' | tee -a tmp.txt

users=`sort tmp.txt | uniq`
OLD_IFS="$IFS"
IFS=" = "
user_arr=($users)
IFS="$OLD_IFS"

for user in ${user_arr[@]}; do
    echo $user = $user\<$user@advantech.com.cn\> >> users.txt 
done
#vim users.txt

