# SVN2GitLab
Migrate from svn to GitLab.

# Requirements
* Need to run on Linux
* Need to install svn, git, git-svn

# Usage
1. Modify SVN2GitLab.cfg
 * GITLAB_HOST:Address of GitLab server
 * PRIVATE_TOKEN:Private token of account, you can get it from ProfileSettings after login
 * SVN_HOST:The link of SVN
 * SVN_USER:User name of SVN
 * SVN_PWD:Password of SVN

2. Run CollectUser.sh, then you can find a users.txt file under current directory. The file users.txt records the correspondence of usernames on SVN and GitLab, maybe you need to modify it according to your own needs.  
3. Run GenerateRepoList.sh, then you can find a repolist.txt file under current directory. The file repolist.txt records three columns, the first column is relative path of SVN, the second column is a default repertory name, the third column is a default group name. For example, "SUSIAccess/3.0/Project/Public-DBCheck-PostgreSQL/,RMM30_Public_DBCheck_PostgreSQL,SQA_RMM", it means that you would like to move "SUSIAccess/3.0/Project/Public-DBCheck-PostgreSQL/" as a repertory which is named "RMM30_Public_DBCheck_PostgreSQL", the repertory will be in group "SQA_RMM". You need modify repolist.txt acording to your own needs.  
4. Run SVN2GitLab.sh, then Programs on SVN will be moved to GitLab.  